<div class="" id="fattorino" style="display:{$showFattorino};position:relative;">
  <div>
    <table class="resume table table-bordered">
      <tbody>
        <tr>
          <td>
            <div class="fitleft" style="width:50%;padding:20px;">
              <img src="{$img}">
              <p class="fit_description">
                Grazie per aver scelto <b>Fattorino.it</b>, seleziona il giorno e l'ora desiderata per la consegna prima di proseguire.
              </p>
              <p class="fit_description" id="fitrates">
              </p>
            </div>
            <div class="fitleft" style="width:50%">
              <div class="datepicker-here" data-timepicker="true" data-language='it'></div>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
{literal}
<script src="https://code.jquery.com/jquery-2.2.4.min.js" integrity="sha256-BbhdlvQf/xTY9gja0Dq3HiwQF8LaCRTXxZKRutelT44=" crossorigin="anonymous"></script>
<script>

$(document).ready(function(){
  var stdate = null;
  if (!$.cookie('fitship')) {
    var fd = moment(new Date()).format('YYYY-MM-DD h:mm');
    $.cookie('fitship', fd, { expires: 7, path: '/' });
    stdate = moment().add(4,'hours').add(2, 'minutes').toDate();
  } else {
    stdate = moment($.cookie('fitship'), 'YYYY-MM-DD h:mm').toDate();
  }


  $('label[for="delivery_option_{/literal}{$fitcid}{literal}"] .carrier-price').html("");

  /*if (opc == false) {
  $("input[data-key='{/literal}{$fitcid}{literal},']").parentsUntil( "table" ).find('.delivery_option_price').hide();
}*/

ajdata = JSON.parse(JSON.stringify({/literal}{$checkPrice['data'] nofilter}{literal}));
var rates = [];
$.ajax({
  async:false,
  type: "POST",
  url: 'https://api.fattorino.it/api/v2/get-all-rate-post-codes',
  data: {data:JSON.stringify(ajdata)},
  headers:{
    fitaccess:'6aa425e73761777a7f9e07e773d7762a'
  },
  success: function(resp){
    rates = resp.data;
    html='<br> Prezzi previsti per il tuo indirizzo di consegna:<ul>';
    for(let r in rates) {
      suffix = rates[r].time_range == 1 ? 'ora' : 'ore';
      if (r == rates.length -1) {
        html+="<li>€ "+rates[r].price+" per cosegna da "+rates[r].time_range+" "+suffix+" in su</li>";
      } else {
        html+="<li>€ "+rates[r].price+" per cosegna in "+rates[r].time_range+" "+suffix+"</li>";
      }
    }
    html+='</ul>';
    $("#fitrates").html(html)
  },
});

var d = $('.datepicker-here').airdatepicker({
  inline:true,
  language:'it',
  minDate: moment().add(2, 'minutes').add(rates[0].time_range, 'hours').toDate(),
  startDate: stdate,
  onSelect: function (fd, d, picker) {
    $.cookie('fitship', fd, { expires: 1, path: '/' });
  }
}).data('airdatepicker');
d.selectDate(stdate);

$('.airdatepicker--cell, .airdatepicker--time').mouseup(function(){
  $("#delivery_option_{/literal}{$fitcid}{literal}").trigger('change');
})


$("#fattorino").on('click', function(e){
  e.stopPropagation();
  e.preventDefault();
  $('.airdatepicker--cell-day').click(function(){
    $("#delivery_option_{/literal}{$fitcid}{literal}").trigger('change');
  })
});
});

</script>
{/literal}
